Page MenuHomePhabricator

DHCP-provided DNS servers are not propagated to resolv.conf
Closed, ResolvedPublicBUG

Description

The reason is that when the dhclient startup is triggered by a commit, it calls dns_forwarding.py in a special "out of CLI" mode where return_effective_values functions are used, but those functions do not work properly until the commit completes, so there's a race condition.

We may be able to avoid it by checking the lock with functions mentioned in T1503.

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0
Why the issue appeared?
Implementation mistake

Event Timeline

dmbaturin created this task.Jul 3 2019, 1:48 AM
mb300sd added a subscriber: mb300sd.Jul 3 2019, 2:47 AM

Possibly a related problem here in T1497, we're still chasing an issue where disable-dhcp-nameservers isn't working on startup.

pasik added a subscriber: pasik.Jul 5 2019, 9:53 PM
dmbaturin closed this task as Resolved.Jul 10 2019, 6:02 PM
dmbaturin claimed this task.
dmbaturin triaged this task as Normal priority.
dmbaturin changed Why the issue appeared? from Will be filled on close to Implementation mistake.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.